function removeFrames() {
	if ( top.parent != self )
		top.parent.location.replace( self.location.href );
}

function addImgTitles() {
	var img, title, alt;
	$( 'img' ).each( function () {
		img = $( this );
		title = img.attr( 'title' );
		if ( title == '' ) title = null;
		alt = img.attr( 'alt' );
		if ( alt == '' ) alt = null;
		if ( !title && alt ) img.attr( 'title', alt );
	} );
}

function getLastModified( lang ) {
	var d = new Date( document.lastModified ), res, value,
		months = 'JanFebMarAprMayJunJulAugSepOctNovDec';

	if ( lang == 'de' ) months = 'JanFebMarAprMaiJunJulAugSepOktNovDez';
	if ( lang == 'ru' ) months = 'янвфевмарапрмайиюниюлавгсепоктноядек';

	value = d.getYear();
	if ( value < 70 ) value += 2000;
	else if ( value < 1000 ) value += 1900;
	if ( ( value >= 1900 ) && ( value < 1970 ) ) value += 100;
	res = String( d.getDate() ) + ' ' + months.substr( 3 * d.getMonth(), 3 )
		+ ' ' + value + ', ' + d.getHours() + ':';
	value = d.getMinutes();
	if ( value < 10 ) res += '0' + value;
	else res += value;
	return res;
}

function setLastModified( lang ) {
	var lastMod = {
		de: 'Letzte Änderung: ',
		en: 'Last modified: ',
	}
	if ( !lang || lang == '' ) lang = 'de';
	var created = $( '.created' );
	created.text( created.text() + ' ' + lastMod[ lang ] + getLastModified( lang ) );
}

function addAccessKeyTitle() {
	var key, title, link
	$( 'a' ).each( function () {
		link = $( this );
		title = link.attr( 'title' );
		key = link.attr( 'accesskey' );
		if ( key ) {
			key = key.toLowerCase();
			if ( title ) title = title + ' ';
			else title = '';
			link.attr( 'title', title + '[Alt+Shift+' + key + ']' );
		}
	} )
}

$( document ).ready( function() {
	removeFrames();
	addImgTitles();
	var lang = $( 'html' ).attr( 'lang' ).toLowerCase().substr( 0, 2 );
	setLastModified( lang );
	addAccessKeyTitle();
	window.focus();
} );
